#ifndef TESTSUPPORT_H
#define TESTSUPPORT_H

#include <stdint.h>
#include <vector>
#include <memory>

class TestSupport
{
public:
    static std::shared_ptr<std::vector<uint8_t>> read_file(const char * filename);
    static void compare_files(const char * f1, const char * f2);
};

#endif
